# hardcoded so that build from another distro keeps this name
# (mandatory to have correct package name and source name)
%define _real_vendor mageia

%if %{?distsuffix:0}%{?!distsuffix:1}
%define distsuffix .mga
%endif

%if %{?mkrel:0}%{?!mkrel:1}
%define mkrel(c:) %{-c: 0.%{-c*}.}%{1}%{?distsuffix:%distsuffix}%{?!distsuffix:.mga}%{?distro_release:%distro_release}%{?subrel:.%subrel}
%endif

# This can be useful for backport, as rpm-4.2
# provides the emacs-spec mode
%define have_emacsmodespec 1

# we want /etc/rpm/platform and rpmgenplatform only on rpm5.org < 5.2
%define rpmplatform %{?evr_tuple_select: 0}%{!?evr_tuple_select: %(if rpm --help | grep -q yaml; then echo 1; else echo 0; fi)}

%{?_with_emacsspecmode: %define have_emacsmodespec 1}
%{?_without_emacsspecmode: %define have_emacsmodespec 0}

Summary:	The %{distribution} rpm configuration and scripts
Name:		rpm-%{_real_vendor}-setup
Version:	1.133
Release:	%mkrel 1
Source0:	%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		System/Configuration/Packaging
Url:		http://www.mageia.org/
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	rpm-devel
%if !%rpmplatform
Conflicts:	rpm = 4.4.8
Conflicts:	rpm = 4.4.6
%endif
Obsoletes:	rpm-mandriva-setup <= 1.114
Provides:	rpm-mandriva-setup = %{version}-%{release}
# (tmb) Obsolete to have a clean upgrade
Obsoletes:	rpm-manbo-setup
# (blino) FIXME: temporary while drakxtools is not updated and rebuilt with perl 5.12
Provides: 	 perl-suid

%description
The %{distribution} rpm configuration and scripts.

%package	build
Group:		System/Configuration/Packaging
Summary:	The %{distribution} rpm configuration and scripts to build rpms
Requires:	spec-helper
Requires:	multiarch-utils >= 1.0.3
Requires:	pkgconfig
Requires:	python-pkg-resources
Requires:	%name = %version-%release
# for product version macros
Requires:	mageia-release
%if %have_emacsmodespec
Conflicts:	rpm < 4.4.1
%endif
Conflicts:	spec-helper <= 0.26.1
Obsoletes:	rpm-mandriva-setup-build <= 1.114
Provides:	rpm-mandriva-setup-build = %{version}-%{release}
# (tmb) Obsolete to have a clean upgrade
Obsoletes:	rpm-manbo-setup-build

%description	build
The %{distribution} rpm configuration and scripts dedicated to build rpms.

%prep
%setup -q

%build
%configure2_5x \
%if %rpmplatform
    --with-rpmplatform \
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p %buildroot%{_sysconfdir}/rpm/macros.d

mv %buildroot%_prefix/lib/rpm/%{_real_vendor}/macros %buildroot%{_sysconfdir}/rpm/macros.d/20common.macros
mv %buildroot%{_sysconfdir}/rpm/macros.d/{build.macros,20build.macros}

%if %have_emacsmodespec
# spec mode for emacs
install -d $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/
install -m644 rpm-spec-mode.el $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/

install -d $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d
cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d/%{name}.el
(setq auto-mode-alist (cons '("\\\\.spec$" . rpm-spec-mode) auto-mode-alist))
(autoload 'rpm-spec-mode "rpm-spec-mode" "RPM spec mode (for %{distribution})." t)
EOF
%endif

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_prefix}/lib/rpm/%{_real_vendor}
%{_prefix}/lib/rpm/%{_real_vendor}/rpmrc
%{_prefix}/lib/rpm/%{_real_vendor}/rpmpopt
%{_prefix}/lib/rpm/rpmb_deprecated
%if %rpmplatform
%{_bindir}/rpmgenplatform
%config(noreplace) %{_sysconfdir}/rpm/platform
%ifarch x86_64
%config(noreplace) %{_sysconfdir}/rpm/platform32
%endif
%endif
%dir %{_sysconfdir}/rpm/macros.d
%{_sysconfdir}/rpm/macros.d/20common.macros

%files build
%defattr(-,root,root)
%doc NEWS ChangeLog
%{_sysconfdir}/rpm/macros.d/20build.macros
%{_prefix}/lib/rpm/%{_real_vendor}/*
%exclude %{_prefix}/lib/rpm/%{_real_vendor}/rpmrc
%exclude %{_prefix}/lib/rpm/%{_real_vendor}/rpmpopt
%exclude %{_prefix}/lib/rpm/rpmb_deprecated
%if %have_emacsmodespec
%{_datadir}/emacs/site-lisp/rpm-spec-mode.el
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/%{name}.el
%endif


%changelog
* Mon May 30 2011 pterjan <pterjan> 1.133-1.mga1
+ Revision: 100758
- Default section to core, useful for local builds

* Mon May 30 2011 pterjan <pterjan> 1.132-1.mga1.
+ Revision: 100750
- do not append .%%distro_section if section is core

* Fri May 20 2011 pterjan <pterjan> 1.131-1.mga1
+ Revision: 99853
- Update to 1.131 with new mkrel

* Fri May 06 2011 boklm <boklm> 1.130-1.mga1
+ Revision: 95456
- version 1.130

* Thu Apr 28 2011 boklm <boklm> 1.127-1.mga1
+ Revision: 93318
- version 1.127

* Wed Mar 23 2011 boklm <boklm> 1.126-1.mga1
+ Revision: 76098
- version 1.126 to fix #497

* Wed Mar 16 2011 rtp <rtp> 1.124-1.mga1
+ Revision: 72723
- Version 1.124: fix _host macro

* Sun Mar 13 2011 boklm <boklm> 1.123-1.mga1
+ Revision: 70792
- version 1.123: add fontconfig.prov provides script

* Fri Mar 04 2011 boklm <boklm> 1.122-1.mga1
+ Revision: 63866
- version 1.122

* Thu Mar 03 2011 tmb <tmb> 1.120-1.mga1
+ Revision: 63420
- kmod.prov: convert special chars [,],:,- to _ when generating
  kernel module version provides (needed with rpm-4.8.1)

* Wed Mar 02 2011 jquelin <jquelin> 1.119-1.mga1
+ Revision: 62625
- update to 1.119

* Mon Feb 28 2011 tmb <tmb> 1.118-2.mga1
+ Revision: 61576
- drop /usr/lib/rpm/manbo symlink as rpm is now fixed

* Sat Feb 26 2011 jquelin <jquelin> 1.118-1.mga1
+ Revision: 60350
- update to 1.118

* Sun Feb 20 2011 ahmad <ahmad> 1.117-1.mga1
+ Revision: 55071
- new version 1.117
  o merge svn rev. 271797 from Mandriva to make the python eggs auto-requires
    always lowercase

* Sun Feb 06 2011 tmb <tmb> 1.116-1.mga1
+ Revision: 47647
- new version 1.116
  - merge rpmrc from rpm-manbo-setup
  - merge manbo.macros from rpm-manbo-setup
  - merge manbo-build.macros from rpm-manbo-setup
  - merge under/overlinking scripts from rpm-manbo-setup
  - merge rpm -b deprecated warning scripts from rpm-manbo-setup
- obsolete rpm-manbo-setup(-build) to get a clean upgrade
- add /usr/lib/rpm/manbo symlink pointing to /usr/lib/rpm/mageia
  in order to allow upgrade without breaking current rpm and BS

* Tue Jan 25 2011 shikamaru <shikamaru> 1.115-12.mga1
+ Revision: 39575
- fix dependencies in rubygems.rb (only include runtime dependencies)

* Thu Jan 20 2011 blino <blino> 1.115-11.mga1
+ Revision: 25078
- hardcode _real_vendor
- use _real_vendor macro
- revert rpm-manbo-setup obsoletes since it is not merged

* Wed Jan 19 2011 tmb <tmb> 1.115-9.mga1
+ Revision: 24937
- hardcode distro name to mageia to get rid of rpm-manbo-setup-*
- drop requirements on rpm-manbo-setup-*
- obsolete rpm-manbo-setup-*

* Tue Jan 18 2011 blino <blino> 1.115-8.mga1
+ Revision: 21934
- add hackish perl-suid provides to ease perl-5.12 transition

* Mon Jan 17 2011 blino <blino> 1.115-7.mga1
+ Revision: 20662
- remove python abi hack

* Thu Jan 13 2011 pterjan <pterjan> 1.115-6.mga1
+ Revision: 12442
- Bump release

  + blino <blino>
    - add a FIXME note
    - temporarily add a python(abi) provide while python is not upgraded

* Mon Jan 10 2011 blino <blino> 1.115-4.mga1
+ Revision: 4926
- rebuild
- provide rpm-mandriva-setup to ease transition

* Sun Jan 09 2011 blino <blino> 1.115-2.mga1
+ Revision: 3793
- obsolete rpm-mandriva-setup package

* Sun Jan 09 2011 blino <blino> 1.115-1.mga1
+ Revision: 3489
- remove old workaround
- update comment in rpm-mode for emacs
- use distro_release macro
- update hardcoded distsuffix
- use rpm-mageia-setup tarball
- put lowercased distro name in a macro
- update the distribution name macro
- require mageia-release
- remove old macros and version checks
- rename spec file
- rename as rpm-mageia-setup
- imported package rpm-mandriva-setup

